### Method

# Tsparql Resource serialize

#### Declaration [src]

    GVariant*
    tracker_resource_serialize (
      TrackerResource* resource
    )

#### Description [src]

Serializes a `TrackerResource` to a `GVariant` in a lossless way. All child resources are subsequently serialized. It is implied that both ends use a common `TrackerNamespaceManager`.

#### Return value

Type: `GVariant`

A variant describing the resource, the reference is floating.

The returned data is owned by the instance.
The return value can be `NULL`.